gnutls_priority_set(3)

NAME
gnutls_priority_set - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_set(gnutls_session_t session, gnutls_priority_t priority);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_priority_t priority
    is a gnutls_priority_t type.

DESCRIPTION
Sets the priorities to use on the ciphers, key exchange methods, and macs. Note that this function is expected to be called once per session; when called multiple times (e.g., before a re-handshake, the caller should make sure that any new settings are not incompatible with the original session).

RETURNS
GNUTLS_E_SUCCESS on success, or an error code on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/